RC6 Class Reference

RC6 block cipher. More...

`#include <rc6.h>`

Inheritance diagram for RC6:

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Enc > | Encryption
typedef BlockCipherFinal< DECRYPTION, Dec > | Decryption
Public Types inherited from RC6_Info
typedef word32 | RC6_WORD
Public Types inherited from BlockCipherDocumentation
typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from RC6_Info
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from VariableKeyLength< 16, 16, 32, 8 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function.
Static Public Member Functions inherited from VariableRounds< 20 >
static unsigned int | StaticGetDefaultRounds (size_t keylength)
| The default number of rounds for the algorithm based on key length provided by a static function.
Static Public Attributes inherited from FixedBlockSize< 16 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from VariableKeyLength< 16, 16, 32, 8 >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant.
Static Public Attributes inherited from VariableRounds< 20 >
static const int | DEFAULT_ROUNDS
| The default number of rounds for the algorithm provided as a constant.
static const int | MIN_ROUNDS
| The minimum number of rounds for the algorithm provided as a constant.
static const int | MAX_ROUNDS
| The maximum number of rounds for the algorithm provided as a constant.

## Detailed Description

RC6 block cipher.

See also
  RC6

Since
  Crypto++ 3.0

Definition at line 26 of file rc6.h.

## Member Typedef Documentation

## Encryption

typedef BlockCipherFinal<ENCRYPTION, Enc> RC6::Encryption

Definition at line 51 of file rc6.h.

## Decryption

typedef BlockCipherFinal<DECRYPTION, Dec> RC6::Decryption

Definition at line 52 of file rc6.h.

The documentation for this class was generated from the following file:

- rc6.h